Node('peltier.psi.ch',
     'peltier test',
     'tcp://5000',
     )

Mod('tio',
    'frappy_psi.qnw.QnwIO',
    'connection for Quantum northwest',
    uri='tcp://ldm-fi-ts:3001',
    )

Mod('T',
    'frappy_psi.qnw.TemperatureLoopTC1',
    'holder temperature',
    channel='CT',
    io='tio',
    )

Mod('Th',
    'frappy_psi.qnw.SensorTC1',
    'heat exch. temperature',
    channel='HT',
    io='tio',
    )

Mod('wio',
    'frappy_psi.thermofisher.ThermFishIO',
    'connection for water bath',
    uri='tcp://ldm-fi-ts:3002',
    )

Mod('Tbath',
    'frappy_psi.thermofisher.TemperatureLoopA10',
    'water bath',
    io='wio',
    target=Param(max=100),
    tolerance=0.5,
    settling_time=20,
    )

Mod('lio',  # the name of the module
    'frappy_demo.lakeshore.LakeshoreIO',  # the class used for communication
    'communication to main controller',  # a description
    uri="tcp://ldmcc02-ls:7777",  # the serial connection
    )
Mod('Ta',
    'frappy_demo.lakeshore.TemperatureSensor',
    'Sample Temperature',
    io='lio',
    channel='A',  # the channel on the LakeShore for this module
    )
Mod('Tb',
    'frappy_demo.lakeshore.TemperatureSensor',
    'Sample Temperature',
    io='lio',
    channel='B',  # the channel on the LakeShore for this module
    )

